<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html"
       xmlns:f="http://java.sun.com/jsf/core">
    
    <body>
        <ui:component>
            <p:dialog
                id="editGrupoJerarquicoId"
                header="Editar Grupo Jerárquico"
                widgetVar="editGrupoJerarquico"
                 modal="true"
                resizable="false"                
                closable="false"
                draggable="false">
                
                <h:panelGroup id="pnEditGpoJer">
                    
                    
                    <h:form>
                        <h:panelGrid columns="2" cellpadding="5" columnClasses="centered5,centered6">
                            
                            <p:column>
                            <p:outputLabel 
                                for="SGMM" 
                                value="#{translatedMessage['restricted.grupoJerarquico.SGMM']}"/>                            
                             </p:column>
                            <p:column>
                            <p:inputText
                                id="SGMM"
                                value="#{gruposJerarquicosMB.gruposJerarquicosSelected.strSgmm}"                                
                                maxlength="1"
                                onkeyup="toUpperCase(event,this)"
                                validatorMessage="Se debe digitar un caracter para SGMM.">
                                
                                <f:validateRegex pattern="[a-zA-Z]"/>
                            </p:inputText>                                                      
                            
                            <p:message for="SGMM"/> 
                             </p:column>
                            <p:column>
                            <p:outputLabel 
                                for="descripcionGpoJerarquico" 
                                value="#{translatedMessage['restricted.grupoJerarquico.descGpoJer']}"/>                            
                              </p:column>
                            <p:column>
                            <p:inputText
                                id="descripcionGpoJerarquico"
                                value="#{gruposJerarquicosMB.gruposJerarquicosSelected.strDescripcion}"                                
                                maxlength="100"
                               onkeyup="toUpperCase(event,this)">                                                                
                            </p:inputText>                                                        
                            
                            <p:message for="descripcionGpoJerarquico"/>                             
                             </p:column>
                            <p:column>
                            <h:outputLabel 
                                for="claveGpoJerarquico" 
                                value="#{translatedMessage['restricted.grupoJerarquico.claveJerarquica']}"/>                            
                             </p:column>
                            <p:column>
                            <h:outputLabel 
                                id="claveGpoJerarquico" 
                                value="#{gruposJerarquicosMB.gruposJerarquicosSelected.strClaveJerarquica}"/>                            
                         </p:column>

                        </h:panelGrid>
                        
                        <br/>
                        <div align="right">
                        <p:commandButton
                            update=":pnEditGpoJer"  style="font-size: 70%"
                            value="#{translatedMessage['common.label.save']}"
                            oncomplete="redirect(xhr, status, args, 'ListGrupoJerarquico.jsf');"
                            actionListener="#{gruposJerarquicosMB.updateWithConfirm}" >
                           
                            <p:confirm 
                                header="Confimación" 
                                message="¿Está seguro de actualizar el grupo jerárquico?" 
                                icon="ui-icon-alert" />                             
                        </p:commandButton>
                        
                        <p:confirmDialog 
                            global="true" 
                            showEffect="fade" 
                            hideEffect="fade">
                          
                            <p:commandButton 
                                value="Si" 
                                type="button" 
                                styleClass="ui-confirmdialog-yes" 
                                icon="ui-icon-check" />
                          
                            <p:commandButton 
                                value="No" 
                                type="button" 
                                styleClass="ui-confirmdialog-no" 
                                icon="ui-icon-close" />
                        </p:confirmDialog>                         
                        <div style="width:5px;
                             height:auto;
                             display:inline-block;"/>
                        <p:commandButton
                            value="Cerrar" style="font-size: 70%"
                            type="button"
                            onclick="location = 'ListGrupoJerarquico.jsf';">
                        </p:commandButton>
                        </div>
                    </h:form>                                        
                </h:panelGroup>                
            </p:dialog>
        </ui:component>
    </body>
</html>
